Skip to content

ML Prep API (v1)

Download OpenAPI description
Languages
Servers
Mock server

http://{{your_prep_ip_address}}/

Authenticate

Operations

Backups

Operations

Calibration

Operations

Camera

Operations

Configuration

Operations

Credentials

Operations

Deck

Operations

Diagnostics

Operations

Enclosure

Operations

Environment

Operations

Errors

Operations

HepaUv

Operations

Instruments

Operations

Labware

Operations

LabwareCategories

Operations

LabwareSignature

Operations

Lighting

Operations

LiquidClass

Operations

Maintenance

Operations

NetworkConfiguration

Operations

Power

Operations

ProtocolRun

Operations

Protocols

Operations

ProtocolSteps

Operations

ProtocolSupport

Operations

ProtocolVerification

Operations

Repair

Operations

Report

Operations

Roles

Operations

RunData

Operations

Screenshots

Operations

ServiceSoftwareApi

Operations

Settings

Operations

SoftwareVersions

Operations

SystemReady

Operations

SystemTime

Operations

ThermalDevice

Operations

Traces

Operations

UserKba

Operations

Users

Operations

Verification

Operations

Get all verification runs

Request

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/verification/runs' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The list of verification runs

Bodyapplication/jsonArray [
idinteger(int32)

The database id for the verification routine

namestring or null

The name for the verification routine

verificationOrderinteger(int32)

A number signifying the order to run verification routine with respect to other verifications

dueDatestring(date-time)

The date the verification routine is due to be run

runsArray of objects or null(VerificationRunDto)

A list of runs for the verification routine on the current instrument, ordered by most recent

requiredThermalDeviceinteger(int32)(ThermalDevice)
Enum"Hhs""Hhc""None"
requiresHepaUvboolean

A boolean signifying that the HEPAUV device must be present to run this verification routine

verificationDevicesArray of objects or null(VerificationDevice)

List of required verification devices

serviceRoutineobject(ServiceRoutineDto)

The service routine

]
Response
application/json
[ { "id": 0, "name": "string", "verificationOrder": 0, "dueDate": "2019-08-24T14:15:22Z", "runs": [], "requiredThermalDevice": "Hhs", "requiresHepaUv": true, "verificationDevices": [], "serviceRoutine": {} } ]

Initializes all verification routine due date values to now

Request

This should be used when verification is first initialized

Security
Bearer
curl -i -X POST \
  'http://{{your_prep_ip_address}}/api/v1/verification/routines/initialize' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Initialize successfully completed

Response
No content

Get the current verification run/workflow status

Request

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/verification/status' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The active verification run/workflow status

Bodyapplication/json
isWorkflowInProgressboolean

Flag indicating whether or not a verification run is in progress

isRunInProgressboolean

Flag indicating whether or not the verification at the current index is running

isServiceRoutineInProgressboolean

Flag indicating whether or not there is a service routine running

startTimestring(date-time)

The start time for the active verification run

currentIndexinteger(int32)

The verification current index of the verification run

runsArray of objects or null(RoutineRunDto)

The list of verification runs

serviceRoutineobject(ServiceRoutineDto)

The service routine

Response
application/json
{ "isWorkflowInProgress": true, "isRunInProgress": true, "isServiceRoutineInProgress": true, "startTime": "2019-08-24T14:15:22Z", "currentIndex": 0, "runs": [ {} ], "serviceRoutine": { "id": 0, "name": "string", "isRecommended": true, "lastRun": "2019-08-24T14:15:22Z" } }

VerificationResult

Operations